summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-10-06 22:33:57 +0300
committerMart Raudsepp <leio@gentoo.org>2018-10-06 23:21:33 +0300
commitacf3119d475d17736748425c23115bd07c605528 (patch)
tree4ba94c0cb9c0378b50e1f8e2d82a8771b5672c8d /mate-base/mate-control-center/files
parentmate-base/mate-common: remove old (diff)
downloadgentoo-acf3119d475d17736748425c23115bd07c605528.tar.gz
gentoo-acf3119d475d17736748425c23115bd07c605528.tar.bz2
gentoo-acf3119d475d17736748425c23115bd07c605528.zip
mate-base/mate-control-center: remove old
Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Diffstat (limited to 'mate-base/mate-control-center/files')
-rw-r--r--mate-base/mate-control-center/files/mate-control-center-1.12.1-backport-appindicator-configure.patch67
1 files changed, 0 insertions, 67 deletions
diff --git a/mate-base/mate-control-center/files/mate-control-center-1.12.1-backport-appindicator-configure.patch b/mate-base/mate-control-center/files/mate-control-center-1.12.1-backport-appindicator-configure.patch
deleted file mode 100644
index b713b7f3a8c..00000000000
--- a/mate-base/mate-control-center/files/mate-control-center-1.12.1-backport-appindicator-configure.patch
+++ /dev/null
@@ -1,67 +0,0 @@
-From 90195c0c2e3f45a355286f1640c2f0020a5556b8 Mon Sep 17 00:00:00 2001
-From: raveit65 <chat-to-me@raveit.de>
-Date: Fri, 17 Jun 2016 20:34:06 +0200
-Subject: [PATCH] configure: fix build with libappindicator3
-
----
- configure.ac | 14 +++++++++-----
- 1 file changed, 9 insertions(+), 5 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index 9b27671..a11bfdc 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -63,6 +63,8 @@ dnl ==============================================
- dnl Check GTK+ API version
- dnl ==============================================
-
-+APPINDICATOR_REQUIRED=0.0.13
-+
- AC_MSG_CHECKING([which gtk+ version to compile against])
- AC_ARG_WITH([gtk],
- [AS_HELP_STRING([--with-gtk=2.0|3.0],[which gtk+ version to compile against (default: 2.0)])],
-@@ -80,6 +82,7 @@ case "$with_gtk" in
- LIBCANBERRA_API_VERSION=
- LIBUNIQUE_API_VERSION=1.0
- ENGINES_FOLDER="engines"
-+ APPINDICATOR_API_VERSION=
- ;;
- 3.0) GTK_API_VERSION=3.0
- GTK_REQUIRED=3.0.0
-@@ -87,6 +90,7 @@ case "$with_gtk" in
- LIBCANBERRA_API_VERSION=3
- LIBUNIQUE_API_VERSION=3.0
- ENGINES_FOLDER="theming-engines"
-+ APPINDICATOR_API_VERSION=3
- ;;
- esac
- AC_SUBST(GTK_API_VERSION)
-@@ -101,7 +105,7 @@ AM_CONDITIONAL(HAVE_LIBCANBERRA_GTK, test "x$CANBERRA_GTK" = "x1")
- AM_CONDITIONAL(HAVE_TYPING_BREAK, test "x$TYPING_BREAK" = xtyping-break)
-
- dnl app indicator
--APPINDICATOR_REQUIRED=0.0.7
-+APPINDICATOR_PKG=appindicator$APPINDICATOR_API_VERSION-0.1
-
- AC_ARG_ENABLE(appindicator,
- AS_HELP_STRING([--enable-appindicator[=@<:@no/auto/yes@:>@]],[Build support for application indicators ]),
-@@ -109,16 +113,16 @@ AC_ARG_ENABLE(appindicator,
- [enable_appindicator="auto"])
-
- if test x$enable_appindicator = xauto ; then
-- PKG_CHECK_EXISTS([appindicator-0.1 >= $APPINDICATOR_REQUIRED],
-+ PKG_CHECK_EXISTS([$APPINDICATOR_PKG >= $APPINDICATOR_REQUIRED],
- enable_appindicator="yes",
- enable_appindicator="no")
- fi
-
- if test x$enable_appindicator = xyes ; then
-- PKG_CHECK_EXISTS([appindicator-0.1 >= $APPINDICATOR_REQUIRED],,
-+ PKG_CHECK_EXISTS([$APPINDICATOR_PKG >= $APPINDICATOR_REQUIRED],,
- AC_MSG_ERROR([appindicator-0.1 is not installed]))
- PKG_CHECK_MODULES(APP_INDICATOR,
-- appindicator-0.1 >= $APPINDICATOR_REQUIRED)
-+ $APPINDICATOR_PKG >= $APPINDICATOR_REQUIRED)
- AC_SUBST(APP_INDICATOR_CFLAGS)
- AC_SUBST(APP_INDICATOR_LIBS)
- AC_DEFINE(HAVE_APP_INDICATOR, 1, [Have AppIndicator])